Skip to content
Start here

Get prefix-to-ASN mapping

GET/radar/bgp/routes/pfx2as

Retrieves the prefix-to-ASN mapping from global routing tables.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
longestPrefixMatch: optional boolean

Return only results with the longest prefix match for the given prefix. For example, specify a /32 prefix to lookup the origin ASN for an IPv4 address.

origin: optional number

Lookup prefixes originated by the given ASN.

prefix: optional string
rpkiStatus: optional "VALID" or "INVALID" or "UNKNOWN"

Return only results with matching rpki status: valid, invalid or unknown.

One of the following:
"VALID"
"INVALID"
"UNKNOWN"
ReturnsExpand Collapse
result: { meta, prefix_origins }
meta: { data_time, query_time, total_peers }
data_time: string
query_time: string
total_peers: number
prefix_origins: array of { origin, peer_count, prefix, rpki_validation }
origin: number
peer_count: number
prefix: string
rpki_validation: string
success: boolean

Get prefix-to-ASN mapping

curl https://api.cloudflare.com/client/v4/radar/bgp/routes/pfx2as \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "prefix_origins": [
      {
        "origin": 0,
        "peer_count": 0,
        "prefix": "prefix",
        "rpki_validation": "rpki_validation"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "prefix_origins": [
      {
        "origin": 0,
        "peer_count": 0,
        "prefix": "prefix",
        "rpki_validation": "rpki_validation"
      }
    ]
  },
  "success": true
}